<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/linear_layout_login_parent"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="20dp"
        android:orientation="vertical">

        <com.seatel.mobilehall.util.customview.CustomTextView
            android:id="@+id/text_view_login_error"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:visibility="gone" />

        <ImageView
            android:id="@+id/image_view_back"
            android:layout_width="35dp"
            android:layout_height="25dp"
            android:layout_marginStart="-5dp"
            android:layout_marginTop="15dp"
            android:contentDescription="@string/app_name"
            android:src="@drawable/ic_left_back"
            app:tint="@color/colorPrimary" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <ImageView
                android:id="@+id/img_logo_fingerprint"
                android:layout_width="70dp"
                android:layout_height="70dp"
                android:layout_marginStart="8dp"
                android:layout_marginTop="40dp"
                android:layout_marginEnd="8dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_view_login"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_centerHorizontal="true"
                android:layout_gravity="center"
                android:layout_marginStart="8dp"
                android:layout_marginEnd="8dp"
                android:gravity="center"
                android:text="@string/log_in"
                android:textColor="@color/colorPink"
                android:textSize="@dimen/default_home_text_size"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintHorizontal_bias="0.0"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/img_logo_fingerprint"
                app:layout_goneMarginTop="@dimen/default_home_margin_top" />

        </androidx.constraintlayout.widget.ConstraintLayout>


        <LinearLayout
            android:id="@+id/linear_layout_parent_login"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:layout_marginTop="10dp"
            android:gravity="center|bottom"
            android:orientation="vertical">

            <com.seatel.mobilehall.util.customview.CustomEditText
                android:id="@+id/edit_text_phone_number"
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_only_box_login"
                android:layout_marginTop="@dimen/margin_12x_size"
                android:background="@drawable/bg_edit_text"
                android:digits="0123456789"
                android:hint="@string/phone_number"
                android:imeOptions="actionNext"
                android:inputType="phone"
                android:maxLength="15"
                android:paddingStart="@dimen/margin_2x_size"
                android:paddingTop="@dimen/margin_1x_size"
                android:paddingEnd="@dimen/margin_2x_size"
                android:paddingBottom="@dimen/margin_1x_size"
                android:singleLine="true"
                android:textSize="@dimen/default_edittext_size" />

            <com.seatel.mobilehall.util.customview.CustomEditText
                android:id="@+id/edit_text_password"
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_only_box_login"
                android:layout_marginTop="@dimen/margin_2x_size"
                android:background="@drawable/bg_edit_text"
                android:hint="@string/password"
                android:imeOptions="actionDone"
                android:inputType="textPassword"
                android:paddingStart="@dimen/margin_2x_size"
                android:paddingTop="@dimen/margin_1x_size"
                android:paddingEnd="@dimen/margin_2x_size"
                android:paddingBottom="@dimen/margin_1x_size"
                android:singleLine="true"
                android:textSize="@dimen/default_edittext_size" />

            <com.seatel.mobilehall.util.customview.CustomButton
                android:id="@+id/button_login"
                android:layout_width="match_parent"
                android:layout_height="@dimen/button_height"
                android:layout_gravity="center"
                android:layout_marginTop="15dp"
                android:background="@drawable/bg_button_primary"
                android:gravity="center"
                android:text="@string/yes"
                android:textAllCaps="false"
                android:textColor="@android:color/white"
                android:textSize="@dimen/default_text_size" />

            <com.seatel.mobilehall.util.customview.CustomButton
                android:id="@+id/text_view_forget_password"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_marginTop="30dp"
                android:layout_marginBottom="20dp"
                android:text="@string/forget_password"
                android:textColor="@color/colorPink"
                android:textSize="@dimen/default_text_size" />

            <com.seatel.mobilehall.util.customview.CustomButton
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:text="@string/log_in_with"
                android:textColor="@color/colorGray"
                android:textSize="@dimen/default_text_size"
                android:visibility="gone" />

            <ImageView
                android:visibility="gone"
                android:layout_width="wrap_content"
                android:layout_height="1.5dp"
                android:layout_gravity="center"
                android:layout_marginTop="7dp"
                android:background="@drawable/bg_line"
                android:padding="@dimen/margin_1x_size"
                android:text="@string/log_in_with"
                android:textColor="@color/colorGray"
                android:textSize="@dimen/default_text_size" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_2x_size"
                android:paddingStart="@dimen/margin_9x_size"
                android:paddingEnd="@dimen/margin_9x_size"
                android:visibility="gone">

                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/image_view_fb"
                    android:layout_width="@dimen/margin_10x_size"
                    android:layout_height="@dimen/margin_10x_size"
                    android:layout_weight="1"
                    android:src="@drawable/ic_facebook"
                    android:tint="@android:color/darker_gray" />

                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/image_view_we_chat"
                    android:layout_width="@dimen/margin_10x_size"
                    android:layout_height="@dimen/margin_10x_size"
                    android:layout_weight="1"
                    android:scaleType="centerCrop"
                    android:src="@drawable/ic_we_chat" />

                <de.hdodenhof.circleimageview.CircleImageView
                    android:id="@+id/image_view_instagram"
                    android:layout_width="@dimen/margin_10x_size"
                    android:layout_height="@dimen/margin_10x_size"
                    android:layout_weight="1"
                    android:src="@drawable/ic_instagram" />

                <!--  <de.hdodenhof.circleimageview.CircleImageView
                      android:id="@+id/image_view_link_in"
                      android:layout_width="@dimen/margin_10x_size"
                      android:layout_height="@dimen/margin_10x_size"
                      android:layout_weight="1"
                      android:src="@drawable/ic_linkin" />-->
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_below="@+id/linear_layout_parent_login"
            android:layout_alignParentBottom="true"
            android:layout_marginBottom="@dimen/margin_1x_size"
            android:gravity="center|bottom"
            android:orientation="horizontal">

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/dont_have_acc"
                android:textColor="@android:color/black"
                android:textSize="@dimen/default_text_size" />

            <com.seatel.mobilehall.util.customview.CustomTextView
                android:id="@+id/text_view_register"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/margin_1x_size"
                android:text="@string/register"
                android:textColor="@color/colorPink"
                android:textSize="@dimen/default_text_size" />

        </LinearLayout>
    </RelativeLayout>

    <FrameLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="10dp"
        android:background="@android:color/white"
        android:clickable="true"
        android:focusable="true"
        android:paddingTop="5dp">

        <com.seatel.mobilehall.util.customview.CustomKeyboard
            android:id="@+id/keyboard_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:paddingStart="18dp"
            android:paddingEnd="18dp"
            android:visibility="gone" />
    </FrameLayout>

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</RelativeLayout>